> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get institution

> This endpoint allows you to get an institution by id, as well as the service provider metadata such as name, URL, and logos for each service provider configured to your account that support this institution



## OpenAPI

````yaml /openapi/banklinking-20260203.json get /institutions/{institutionId}
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /institutions/{institutionId}:
    get:
      tags:
        - Institutions
      summary: Get institution
      description: >-
        This endpoint allows you to get an institution by id, as well as the
        service provider metadata such as name, URL, and logos for each service
        provider configured to your account that support this institution
      operationId: bank-linking-institutions-get
      parameters:
        - name: institutionId
          in: path
          description: Institution id
          required: true
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Institution is returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Institution'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Institution cannot be found
          content:
            application/json:
              schema:
                additionalProperties:
                  default: ''
                default: ''
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Institution:
      type: object
      properties:
        aliases:
          type: array
          description: List of aliases for the institution
          items:
            type: string
        domain:
          type: string
          description: Base url for the institution
        id:
          type: string
          description: Institution's Meld Id
        images:
          description: Images
          allOf:
            - $ref: '#/components/schemas/Images'
        isTest:
          type: boolean
          description: If the institution is a test institution
        key:
          type: string
          description: The key of the institution in the paginated list of results
        name:
          type: string
          description: Name
        providers:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Provider'
          description: Mapped service provider institutions
        rank:
          type: integer
          format: int32
          description: >-
            Institution's popularity score, which is used to rank institutions
            in the bank linking connect widget
        subName:
          type: string
          description: Alternate name that may be provided by the service provider
        type:
          type: string
          description: Type of the institution
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
    Images:
      type: object
      properties:
        icon:
          type: string
          description: Url of the icon image for the institution
        tile:
          type: string
          description: Url of the tile image for the institution
        wide:
          type: string
          description: Url of the wide image for the institution
    Provider:
      type: object
      properties:
        categories:
          type: array
          description: Supported categories
          items:
            type: string
        id:
          type: string
          description: Service provider's id for the institution
        oauth:
          type: boolean
          description: Supports OAuth
        products:
          type: array
          description: Supported products
          items:
            type: string
        regions:
          type: array
          description: Supported regions
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````